connect &DBA/&DBAPASSWORD@&TNSALIAS
--
var ACL_PATH varchar2(700)
--
call dbms_xdb.setACL('/home/SCOTT','/sys/acls/all_owner_acl.xml')
/
call dbms_xdb.setACL('/publishedContent','/sys/acls/bootstrap_acl.xml')
/
call dbms_xdb.deleteResource('/publishedContent/allImages',4)
/
call dbms_xdb.deleteResource('/home/SCOTT/ImageLibrary',4)
/
begin
  :ACL_PATH := '/sys/acls/all_owner_metadata_enabled_acl.xml';
  if (dbms_xdb.existsResource(:ACL_PATH)) then
    dbms_xdb.deleteResource(:ACL_PATH);
    commit;
  end if;
end;
/
begin
  :ACL_PATH := '/sys/acls/ro_all_metadata_enabled_acl.xml';
  if (dbms_xdb.existsResource(:ACL_PATH)) then
    dbms_xdb.deleteResource(:ACL_PATH);
    commit;
  end if;
end;
/
begin
  :ACL_PATH := '/sys/acls/bootstrap_metadata_enabled_acl.xml';
  if (dbms_xdb.existsResource(:ACL_PATH)) then
    dbms_xdb.deleteResource(:ACL_PATH);
    commit;
  end if;
end;
/
begin
  :ACL_PATH := '/sys/acls/published_image_folder_acl.xml';
  if (dbms_xdb.existsResource(:ACL_PATH)) then
    dbms_xdb.deleteResource(:ACL_PATH);
    commit;
  end if;
end;
/
begin
  :ACL_PATH := '/sys/acls/published_image_acl.xml';
  if (dbms_xdb.existsResource(:ACL_PATH)) then
    dbms_xdb.deleteResource(:ACL_PATH);
    commit;
  end if;
end;
/
commit
/
